Bug 193178 - lyx: Required tetex-preview Conflicts with tetex-latex
lyx: Required tetex-preview Conflicts with tetex-latex
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lyx (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-25 17:12 EDT by Adam Pribyl
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-26 09:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2006-05-25 17:12:46 EDT
Description of problem:
When I tried to udpate lyx 1.4.1-7.fc4 I got conflicting packages
tetex-latex-3.0-9.FC4 and tetex-preview-11.82-10.fc4.


Steps to Reproduce:
1. install tetex-latex
2. yum update lyx
3.
  
Actual results:
=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 lyx                     x86_64     1.4.1-7.fc4      extras            4.3 M
Installing for dependencies:
 tetex-preview           noarch     11.82-10.fc4     extras             50 k

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         
Total download size: 4.4 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test


Transaction Check Error:   file /usr/share/texmf/tex/latex/preview/prauctex.cfg
from install
 of tetex-preview-11.82-10.fc4 conflicts with file from package
tetex-latex-3.0-9.FC4
  file /usr/share/texmf/tex/latex/preview/prauctex.def from install of
tetex-preview-11.82-1
0.fc4 conflicts with file from package tetex-latex-3.0-9.FC4
  file /usr/share/texmf/tex/latex/preview/prcounters.def from install of
tetex-preview-11.82
-10.fc4 conflicts with file from package tetex-latex-3.0-9.FC4
  file /usr/share/texmf/tex/latex/preview/preview.sty from install of
tetex-preview-11.82-10
.fc4 conflicts with file from package tetex-latex-3.0-9.FC4
  file /usr/share/texmf/tex/latex/preview/prfootnotes.def from install of
tetex-preview-11.8
2-10.fc4 conflicts with file from package tetex-latex-3.0-9.FC4
  file /usr/share/texmf/tex/latex/preview/prlyx.def from install of
tetex-preview-11.82-10.f
c4 conflicts with file from package tetex-latex-3.0-9.FC4
  file /usr/share/texmf/tex/latex/preview/prshowbox.def from install of
tetex-preview-11.82-
10.fc4 conflicts with file from package tetex-latex-3.0-9.FC4
  file /usr/share/texmf/tex/latex/preview/prshowlabels.def from install of
tetex-preview-11.
82-10.fc4 conflicts with file from package tetex-latex-3.0-9.FC4
  file /usr/share/texmf/tex/latex/preview/prtightpage.def from install of
tetex-preview-11.8
2-10.fc4 conflicts with file from package tetex-latex-3.0-9.FC4
  file /usr/share/texmf/tex/latex/preview/prtracingall.def from install of
tetex-preview-11.
82-10.fc4 conflicts with file from package tetex-latex-3.0-9.FC4

rpm -e tetex-latex
error: Failed dependencies:
        tetex-latex is needed by (installed) linuxdoc-tools-0.9.21-5.x86_64
        tetex-latex is needed by (installed) latex2html-2002.2.1-3.noarch
        tetex-latex >= 3.0 is needed by (installed) jadetex-3.12-13.noarch
        tetex-latex is needed by (installed) xmltex-20020625-5.2.noarch
        tetex-latex is needed by (installed) tetex-dvipost-1.1-4.fc4.x86_64
        tetex-latex is needed by (installed) lyx-1.4.1-4.fc4.x86_64
Comment 1 Rex Dieter 2006-05-26 09:39:38 EDT
Thanks for the report.  Fixed build, lyx-1.4.1-7.fc4.1, should appear in the
Extras repo real soon.

%changelog
* Thu May 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.4.1-7.1
- fc4: drop Requires: tetex-preview, it's not ready yet.

Note You need to log in before you can comment on or make changes to this bug.